package vip.xiaonuo.erp.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 原材料列表
 * </p>
 *
 * @author author
 * @since 2025-03-17
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("erp_bd_raw_material")
public class ErpBdRawMaterial implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * erp 字段
     */
    private String erpFnumber;

    /**
     * 单位
     */
    private String unit;

    /**
     * 换算值
     */
    private String conver;

    /**
     * 0是大类 1 是其他
     */
    private Integer parent;

    /**
     * 检测项目，字符串，用,分割
     */
    private String testingItems;

    private String orgId;

    private String deleteFlag;

    /**
     * 名字
     */
    private String fname;

    private String fspecification;


}
