package vip.xiaonuo.money.entity.vo;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.sun.istack.NotNull;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 财务营业情况
 * </p>
 *
 * @author author
 * @since 2024-11-19
 */
@Data
public class MoneyBusinessVo implements Serializable {

    private static final long serialVersionUID = 1L;


    private Integer id;

    /**
     * 组织id
     */
    @ApiModelProperty(value = "组织id", position = 1)
    private String orgId;


    @ApiModelProperty(value = "已交税金", position = 5)
    private String taxes;

    @ApiModelProperty(value = "创建时间", position = 7)
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    private String  createTime;


}
