package vip.xiaonuo.money.entity.vo;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 财务产品销售收入
 * </p>
 *
 * @author author
 * @since 2024-11-19
 */
@Data

public class MoneyProduceScreenVo implements Serializable {


    /**
     * 创建时间
     */
    @ApiModelProperty(value = "创建时间", position = 8)
    private String createTime;


    /**
     * 收入类型 0为国内 1为国外
     */
    @ApiModelProperty(value = "国内收入", position = 11)
    private String inMoney;

    /**
     * 收入类型 0为国内 1为国外
     */
    @ApiModelProperty(value = "国外收入", position = 12)
    private String outMoney;
}
