package vip.xiaonuo.money.service;

import vip.xiaonuo.money.entity.MoneyProducePrice;
import com.baomidou.mybatisplus.extension.service.IService;
import vip.xiaonuo.money.entity.vo.MoneyProduceVo;
import vip.xiaonuo.money.param.MoneyInOutParam;

import java.util.List;

/**
 * <p>
 * 财务产品成本收入 服务类
 * </p>
 *
 * @author author
 * @since 2024-11-21
 */
public interface IMoneyProducePriceService extends IService<MoneyProducePrice> {

    //产品利润率
    List<MoneyProducePrice> listProduceProfit(MoneyInOutParam outParam);

    //成本和收入情况
    List<MoneyProduceVo> listProduce(MoneyInOutParam outParam);
}
