package vip.xiaonuo.production.service;

import vip.xiaonuo.production.entity.ProductionTarget;
import com.baomidou.mybatisplus.extension.service.IService;
import vip.xiaonuo.production.param.ProductionParam;
import vip.xiaonuo.production.param.TargetListDetailVo;

import java.util.List;

/**
 * <p>
 * 生产管控指标 服务类
 * </p>
 *
 * @author author
 * @since 2024-12-12
 */
public interface IProductionTargetService extends IService<ProductionTarget> {

    ProductionTarget getTarget(ProductionParam productionParam);

    List<TargetListDetailVo> getListDetail(ProductionParam productionParam);


    List<TargetListDetailVo> getListShouLvChengDetail(ProductionParam productionParam);

    List<TargetListDetailVo> getListNengHaoDetail(ProductionParam productionParam);
}
