package vip.xiaonuo.quality.param;

import io.swagger.annotations.Api;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
public class QualityStockPageParam {

    @ApiModelProperty(value = "当前页数", position = 1)
    private Integer pageNum;

    @ApiModelProperty(value = "页面大小", position = 2)
    private Integer pageSize;

    @ApiModelProperty(value = "组织id", position = 3)
    private String orgId;


    @ApiModelProperty(value = "试剂名称", position = 4)
    private String reagent;


    @ApiModelProperty(value = "试剂名称Id", position = 5)
    private Integer id;
}
