package vip.xiaonuo.quality.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import vip.xiaonuo.common.pojo.CommonResult;
import vip.xiaonuo.quality.entity.QualityReagentInStock;
import com.baomidou.mybatisplus.extension.service.IService;
import vip.xiaonuo.quality.param.QualityStockPageParam;

/**
 * <p>
 * 质量试剂入库 服务类
 * </p>
 *
 * @author author
 * @since 2025-03-10
 */
public interface IQualityReagentInStockService extends IService<QualityReagentInStock> {

    CommonResult add(QualityReagentInStock inStock);

    CommonResult edit(QualityReagentInStock inStock);

    Page<QualityReagentInStock> page(QualityStockPageParam pageParam);
}
