package vip.xiaonuo.quality.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import vip.xiaonuo.common.pojo.CommonResult;
import vip.xiaonuo.quality.entity.QualityReagentInStock;
import vip.xiaonuo.quality.entity.QualityReagentOutStock;
import com.baomidou.mybatisplus.extension.service.IService;
import vip.xiaonuo.quality.param.QualityStockPageParam;

/**
 * <p>
 * 质量试剂出库 服务类
 * </p>
 *
 * @author author
 * @since 2025-03-10
 */
public interface IQualityReagentOutStockService extends IService<QualityReagentOutStock> {


    CommonResult add(QualityReagentOutStock outStock);

    CommonResult edit(QualityReagentOutStock outStock);

    Page<QualityReagentOutStock> page(QualityStockPageParam pageParam);
}
