package vip.xiaonuo.quality.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import vip.xiaonuo.common.pojo.CommonResult;
import vip.xiaonuo.production.entity.ProductionWriteRate;
import vip.xiaonuo.production.param.ProductionPageParam;
import vip.xiaonuo.production.param.ProductionWriteRateAddParam;
import vip.xiaonuo.quality.entity.QualityWrite;
import com.baomidou.mybatisplus.extension.service.IService;
import vip.xiaonuo.quality.param.QualityWriteAddParam;

import java.util.Map;

/**
 * <p>
 * 质量来料不合格填报 服务类
 * </p>
 *
 * @author author
 * @since 2025-03-01
 */
public interface IQualityWriteService extends IService<QualityWrite> {

    CommonResult add(QualityWriteAddParam param);

    CommonResult edit(QualityWrite qualityWrite);

    CommonResult delete(Map<String, String> paramsMap);

    Page<QualityWrite> page(ProductionPageParam pageParam);
}
