package vip.xiaonuo.risk.service;

import com.alibaba.fastjson.JSONArray;
import vip.xiaonuo.risk.entity.RiskSupplier;
import com.baomidou.mybatisplus.extension.service.IService;
import vip.xiaonuo.risk.param.RiskParam;
import vip.xiaonuo.risk.param.RiskSupplierParam;

import java.util.List;
import java.util.Map;

/**
 * <p>
 * 风控供应商交货 服务类
 * </p>
 *
 * @author author
 * @since 2024-12-09
 */
public interface IRiskSupplierService extends IService<RiskSupplier> {

    //供应商交货准确率
    List<RiskSupplier> getList(RiskSupplierParam riskSupplierParam);

    //供应商列表
    JSONArray listSupplier(Map<String, String> paramsMap);

}
